Package Details: electron13 13.6.9-3

Git Clone URL: https://aur.archlinux.org/electron13.git (read-only, click to copy)
Package Base: electron13
Description: Build cross platform desktop apps with web technologies
Upstream URL: https://electronjs.org/
Licenses: custom, MIT
Submitter: Archange
Maintainer: Paragoumba
Last Packager: Archange
Votes: 10
Popularity: 0.000030
First Submitted: 2022-08-20 19:35 (UTC)
Last Updated: 2022-08-20 19:35 (UTC)

Dependencies (36)

Sources (23)

Latest Comments

1 2 Next › Last »

Score_Under commented on 2024-05-09 09:33 (UTC)

The PKGBUILD invokes vpython, which doesn't exist on my machine -- what is that?

emceebois commented on 2024-04-24 17:08 (UTC)

Currently unable to build this, here's the output of a clean makepkg -si: https://pastebin.com/Kkr8n9Tq

Summary of what I can gather from the error: A command somewhere in the build chain, git log -1 --format=%H %ct --grep=^Change-Id: HEAD, contains %ct, which the build process can't parse, for what reason I don't know.

Paragoumba commented on 2024-03-05 22:49 (UTC)

kintrala: Can you try to make the package without pamac? It works for me with makepkg and paru. As I don't use Manjaro I am unable to test with pamac

kintrala commented on 2024-02-10 08:57 (UTC)

Warnings: Conflicting directory /var/tmp/pamac-build-kairosu/electron13/src/src/third_party/electron_node moved to /var/tmp/pamac-build-kairosu/electron13/src/_bad_scm/src/third_party/electron_node34l799gv. Traceback (most recent call last): File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_scm.py", line 707, in update self._Clone(revision, url, options) File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_scm.py", line 1251, in _Clone self._Run(clone_cmd, File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_scm.py", line 1602, in _Run gclient_utils.CheckCallAndFilter(cmd, env=env, **kwargs) File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_utils.py", line 714, in CheckCallAndFilter raise subprocess2.CalledProcessError(rv, args, kwargs.get('cwd', None), subprocess2.CalledProcessError: Command 'git -c core.deltaBaseCacheLimit=2g clone --no-checkout --progress https://github.com/nodejs/node.git /var/tmp/pamac-build-kairosu/electron13/src/src/third_party/_gclient_electron_node_y6v13mdf' returned non-zero exit status 128 in /var/tmp/pamac-build-kairosu/electron13/src

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib/python3.11/shutil.py", line 825, in move os.rename(src, real_dst) FileNotFoundError: [Errno 2] No such file or directory: '/var/tmp/pamac-build-kairosu/electron13/src/src/third_party/electron_node' -> '/var/tmp/pamac-build-kairosu/electron13/src/_bad_scm/src/third_party/electron_node34l799gv/electron_node'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/metrics.py", line 289, in print_notice_and_exit yield File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient.py", line 4142, in <module> sys.exit(main(sys.argv[1:])) ^^^^^^^^^^^^^^^^^^ File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient.py", line 4128, in main return dispatcher.execute(OptionParser(), argv) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/subcommand.py", line 254, in execute return command(parser, args[1:]) ^^^^^^^^^^^^^^^^^^^^^^^^^ File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient.py", line 3525, in CMDsync ret = client.RunOnDeps('update', args) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient.py", line 2280, in RunOnDeps work_queue.flush(revision_overrides, File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_utils.py", line 1026, in flush reraise(e[0], e[1], e[2]) File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_utils.py", line 53, in reraise raise value File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_utils.py", line 1105, in run self.item.run(self.args, self.kwargs) File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient.py", line 1127, in run self._got_revision = self._used_scm.RunCommand( ^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_scm.py", line 133, in RunCommand return getattr(self, command)(options, args, file_list) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_scm.py", line 593, in wrapper return_val = f(args) ^^^^^^^^ File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_scm.py", line 710, in update self._DeleteOrMove(options.force) File "/var/tmp/pamac-build-kairosu/electron13/src/depot_tools/gclient_scm.py", line 208, in _DeleteOrMove shutil.move(self.checkout_path, dest_path) File "/usr/lib/python3.11/shutil.py", line 845, in move copy_function(src, real_dst) File "/usr/lib/python3.11/shutil.py", line 436, in copy2 copyfile(src, dst, follow_symlinks=follow_symlinks) File "/usr/lib/python3.11/shutil.py", line 256, in copyfile with open(src, 'rb') as fsrc: ^^^^^^^^^^^^^^^ FileNotFoundError: [Errno 2] No such file or directory: '/var/tmp/pamac-build-kairosu/electron13/src/src/third_party/electron_node' ==> ERREUR : Une erreur s’est produite dans prepare(). Abandon…

whoisroot commented on 2022-10-28 20:54 (UTC) (edited on 2022-10-28 20:56 (UTC) by whoisroot)

The wrong imports are in the following files.

src/src/third_party/catapult/third_party/google-endpoints/future/backports/misc.py
src/src/third_party/catapult/third_party/google-endpoints/requests/packages/urllib3/_collections.py
src/src/third_party/catapult/third_party/google-endpoints/requests/packages/urllib3/util/selectors.py
src/src/third_party/catapult/third_party/google-endpoints/requests/sessions.py
src/src/third_party/catapult/third_party/google-endpoints/urllib3/_collections.py
src/src/third_party/catapult/third_party/google-endpoints/urllib3/util/selectors.py
src/src/third_party/electron_node/tools/inspector_protocol/jinja2/runtime.py
src/src/third_party/electron_node/tools/inspector_protocol/jinja2/sandbox.py
src/src/third_party/electron_node/tools/inspector_protocol/jinja2/tests.py
src/src/third_party/electron_node/tools/inspector_protocol/jinja2/utils.py
src/src/third_party/jinja2/runtime.py
src/src/third_party/jinja2/sandbox.py
src/src/third_party/jinja2/tests.py
src/src/third_party/jinja2/utils.py
src/src/third_party/pyelftools/elftools/construct/lib/container.py

Some libraries seem to have already fixed the import problem with

try:
    from collections.abc import Mapping, MutableMapping
except ImportError:
    from collections import Mapping, MutableMapping

whoisroot commented on 2022-10-27 17:35 (UTC)

I'm getting import errors with Python 3.10 because Mapping, MutableMapping, MutableSet, Callable, Iterable and Iterator are now in collections.abc and not at the base library any more.

rafhack commented on 2022-10-09 19:18 (UTC)

I'm getting

ImportError: cannot import name 'Mapping' from 'collections' (/usr/lib/python3.10/collections/__init__.py)

Hill-98 commented on 2022-09-22 08:48 (UTC)

Need to rebuild for flac 1.4

LRitzdorf commented on 2022-09-01 20:25 (UTC)

Interesting, I have a completely different build issue, relating to newlines, apparently? This appears immediately after NPM auditing completes:

[E2022-08-24T22:52:08.276010-06:00 28894 0 venv.go:977] Command (cwd=/tmp/vpython_bootstrap4157386301/packages/virtualenv-16.7.10): [/home/me/.cache/paru/clone/electron13/src/depot_tools/.cipd_bin/.cipd/pkgs/0/XQxtJPiwHevSlqESfrtvcTcnyr5RFdhZ6SObC-qjr8AC/2.7/bin/python -B -E -s virtualenv.py --no-download /home/me/.vpython-root/ff1257]
Process output:
New python executable in /home/me/.vpython-root/ff1257/bin/python
Command /home/me/.vpython-root/ff1257/bin/python -m pip config list had error code 2
Traceback (most recent call last):
  File "virtualenv.py", line 2651, in <module>
    main()
  File "virtualenv.py", line 869, in main
    symlink=options.symlink,
  File "virtualenv.py", line 1178, in create_environment
    install_wheel(to_install, py_executable, search_dirs, download=download)
  File "virtualenv.py", line 1022, in install_wheel
    _install_wheel_with_search_dir(download, project_names, py_executable, search_dirs)
  File "virtualenv.py", line 1049, in _install_wheel_with_search_dir
    config = _pip_config(py_executable, python_path)
  File "virtualenv.py", line 1133, in _pip_config
    config[key] = ast.literal_eval(value)
  File "/home/me/.cache/paru/clone/electron13/src/depot_tools/.cipd_bin/.cipd/pkgs/0/XQxtJPiwHevSlqESfrtvcTcnyr5RFdhZ6SObC-qjr8AC/2.7/lib/python2.7/ast.py", line 49, in literal_eval
    node_or_string = parse(node_or_string, mode='eval')
  File "/home/me/.cache/paru/clone/electron13/src/depot_tools/.cipd_bin/.cipd/pkgs/0/XQxtJPiwHevSlqESfrtvcTcnyr5RFdhZ6SObC-qjr8AC/2.7/lib/python2.7/ast.py", line 37, in parse
    return compile(source, filename, mode, PyCF_ONLY_AST)
  File "<unknown>", line 1
    yes\n'
    ^
IndentationError: unexpected indent

Environment:
[environment variable dump here; redacted in this paste]
[E2022-08-24T22:52:08.276848-06:00 28894 0 annotate.go:273] original error: exit status 1

goroutine 1:
#0 go.chromium.org/luci/vpython/venv/venv.go:621 - venv.(*Env).installVirtualEnv()
  reason: failed to create VirtualEnv

#1 go.chromium.org/luci/vpython/venv/venv.go:535 - venv.(*Env).createLocked.func2()
  reason: failed to install VirtualEnv

#2 go.chromium.org/luci/common/system/filesystem/tempdir.go:55 - filesystem.(*TempDir).With()
#3 go.chromium.org/luci/vpython/venv/venv.go:102 - venv.withTempDir()
#4 go.chromium.org/luci/vpython/venv/venv.go:521 - venv.(*Env).createLocked()
#5 go.chromium.org/luci/vpython/venv/venv.go:278 - venv.(*Env).ensure.func1()
  reason: failed to create new VirtualEnv

#6 go.chromium.org/luci/vpython/venv/venv.go:997 - venv.mustReleaseLock()
#7 go.chromium.org/luci/vpython/venv/venv.go:264 - venv.(*Env).ensure()
#8 go.chromium.org/luci/vpython/venv/venv.go:160 - venv.With()
  reason: failed to create empty probe environment

#9 go.chromium.org/luci/vpython/run.go:60 - vpython.Run()
#10 go.chromium.org/luci/vpython/application/application.go:324 - application.(*application).mainImpl()
#11 go.chromium.org/luci/vpython/application/application.go:413 - application.(*Config).Main.func1()
#12 go.chromium.org/luci/vpython/application/support.go:46 - application.run()
#13 go.chromium.org/luci/vpython/application/application.go:412 - application.(*Config).Main()
#14 infra/tools/vpython/main.go:144 - vpython.mainImpl()
#15 infra/tools/vpython/main.go:158 - vpython.Main()
#16 vpython/main.go:10 - main.main()
#17 runtime/proc.go:255 - runtime.main()
#18 runtime/asm_amd64.s:1581 - runtime.goexit()
==> ERROR: A failure occurred in prepare().
    Aborting...
error: failed to build 'electron13-13.6.9-3':